org.apache.tomcat.dbcp.pool

## Interface KeyedObjectPoolFactory<K,V>

- Type Parameters:
    `K` - the type of keys in this pool
    `V` - the type of objects held in this pool
  All Known Implementing Classes:
    GenericKeyedObjectPoolFactory, StackKeyedObjectPoolFactory

      public interface KeyedObjectPoolFactory<K,V>

  A factory for creating `KeyedObjectPool`s.
  Since:
    Pool 1.0
  Author:
    Rodney Waldhoff
  See Also:
    `KeyedObjectPool`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyedObjectPool<K,V>` | `createPool()` Create a new `KeyedObjectPool`.

- - ### Method Detail

    - #### createPool

          KeyedObjectPool<K,V> createPool()
                                          throws java.lang.IllegalStateException

      Create a new `KeyedObjectPool`.
      Returns:
        a new `KeyedObjectPool`
      Throws:
        `java.lang.IllegalStateException` - when this pool factory is not configured properly

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.